> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proofy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify single email

> Verify real-time a single email address

<Warning>
  Don't use it to verify emails in lists or databases one by one, as this will result in account suspension.
  Use file or batch verification for such tasks.
</Warning>

Single verify response up to 30 seconds.

On average, 95-98% of domains respond within 1 to 7 seconds. Some servers take up to 15-30 seconds for verification. Slow servers and those with greylisting will return "Unknown."

### Rate Limit

The Single Email Verification API is limited to 1000 requests per minute.


## OpenAPI

````yaml GET /verify/single
openapi: 3.0.3
info:
  title: Proofy Api
  description: Some text
  termsOfService: https://proofy.io/terms
  contact:
    email: support@proofy.io
  version: 1.1.0
servers:
  - url: https://apis.proofy.io/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Widget
    description: Everything about JS Widget
  - name: Single Email
    description: Single email check
  - name: Batch Emails
    description: Batch emails check
  - name: File upload
    description: Upload a file containing emails
paths:
  /verify/single:
    get:
      tags:
        - Single Email
      parameters:
        - name: email
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SingleCheckResponse'
              example:
                status: valid
                syntax:
                  username: team
                  domain: proofy.io
                  valid: true
                free: false
                roleAccount: true
                roleNoReply: false
                disposable: false
                possibleSpamTrap: false
                mx:
                  records:
                    - aspmx.l.google.com.
                    - alt2.aspmx.l.google.com.
                    - alt1.aspmx.l.google.com.
                    - alt4.aspmx.l.google.com.
                    - alt3.aspmx.l.google.com.
                  acceptsMail: true
                deliverability:
                  canConnect: true
                  fullInbox: false
                  catchAll: false
                  deliverable: true
                  disabled: false
        '400':
          $ref: '#/components/responses/HttpErrorResponseNotEnoughCredits400'
        '401':
          $ref: '#/components/responses/HttpErrorResponse401'
        '404':
          $ref: '#/components/responses/HttpErrorResponse404'
        '422':
          $ref: '#/components/responses/HttpErrorResponse422'
        '429':
          $ref: '#/components/responses/HttpErrorResponse429'
        '500':
          $ref: '#/components/responses/HttpErrorResponse500'
components:
  schemas:
    SingleCheckResponse:
      type: object
      properties:
        result:
          type: object
          properties:
            status:
              type: string
            syntax:
              type: object
            free:
              type: boolean
            roleAccount:
              type: boolean
            disposable:
              type: boolean
            mx:
              type: object
              properties:
                records:
                  type: array
                  items:
                    type: string
                acceptsMail:
                  type: boolean
            deliverability:
              type: object
              properties:
                canConnect:
                  type: boolean
                fullInbox:
                  type: boolean
                catchAll:
                  type: boolean
                deliverable:
                  type: boolean
                disabled:
                  type: boolean
        credits:
          type: number
  responses:
    HttpErrorResponseNotEnoughCredits400:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Not enough credits
    HttpErrorResponse401:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Unauthorized
    HttpErrorResponse404:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Not Found
    HttpErrorResponse422:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Unprocessable Entity
    HttpErrorResponse429:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Too Many Requests
    HttpErrorResponse500:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Internal Server Error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: api_key

````